/*
 * @Author: your name
 * @Date: 2021-10-14 17:17:53
 * @LastEditTime: 2022-05-17 19:14:11
 * @LastEditors: your name
 * @Description: In User Settings Edit
 * @FilePath: \Foshan4A\src\store\getters.js
 */
const getters = {
  sidebar: state => state.app.sidebar,
  device: state => state.app.device,
  token: state => state.user.token,
  UserId: state => state.user.UserId,
  UserType: state => state.user.UserType,
  avatar: state => state.user.avatar,
  name: state => state.user.name,
  roles: state => state.user.roles,
  dialog: state => state.app.dialog,
  pwdflag: state => state.app.pwdflag,
  outflag: state => state.app.outflag,
  outcheck: state => state.app.outcheck,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  systemSet: state => state.app.systemSet,
  authArrs: state => state.auth.authArrs,
  authList: state => state.auth.authList,
  authId: state => state.auth.authId,
  authMsg: state => state.auth.authMsg,
  userRole: state => state.app.OpenRole,
  userPowerList: state => state.user.userPoewrList,
  permission_routes: state => state.permission.routes,
  keepAlivePages: state => state.keepAlive.keepAlivePages.map(page => page.name),
  queryForm: state => state.app.queryForm,
  timeZone: state => state.timeZone.currentTimeZone,
  clickedCells: state => state.keepAlive.clickedCells
}
export default getters
