/*
 * @Author: your name
 * @Date: 2022-02-21 09:15:17
 * @LastEditTime: 2022-02-23 15:11:47
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \CABaggageData\src\api\login.js
 */
import request from '@/utils/request-4a'

//获取动态验证码
export function GetCheckCode (params) {
    return request({
        url: '/api/fs4a/GetCheckCode/v1',
        method: 'post',
        data: params
    })
}

//登录
export function login (params) {
    return request({
        url: '/api/fs4a/Login/v1',
        method: 'post',
        data: params
    })
}

//登出
export function loginUp (params) {
    return request({
        url: '/api/fs4a/Logout/v1',
        method: 'post',
        data: params
    })
}

//忘记密码
export function changePassword (params) {
    return request({
        url: '/api/fs4a/ForgetPwd/v1',
        method: 'post',
        data: params
    })
}

//权限获取
export function permission (params) {
    return request({
        url: '/api/fs4a/GetAuth/v1',
        method: 'post',
        data: params
    })
}

//token
export function gettoken (params) {
    return request({
        url: '/api/4A/GetToken',
        method: 'post',
        data: params,
        istoken: true
    })
}
